Class | Chef::FileAccessControl
In: | lib/chef/file_access_control.rb
Parent: | Object

## Chef::FileAccessControl

FileAccessControl objects set the owner, group and mode of `file` to the values specified by a value object, usually a Chef::Resource.

### Methods

diminished_radix_complement modified? new set_all set_group set_mode set_owner stat target_gid target_mode target_uid

### Constants

UINT | = | (1 << 32)
UID_MAX | = | (1 << 32) - 10

### Attributes

file | [R] |
resource | [R] |

### Public Class methods

new(resource, file)

FileAccessControl objects set the owner, group and mode of `file` to the values specified by `resource`. `file` is completely independent of any file or path attribute on `resource`, so it is possible to set access control settings on a tempfile (for example).

### Arguments:

resource: probably a Chef::Resource::File object (or subclass), but

                this is not required. Must respond to +owner+, +group+,
                and +mode+

file: The file whose access control settings you wish to modify,

                given as a String.

### Public Instance methods

diminished_radix_complement(int)

Workaround the fact that Ruby‘s Etc module doesn‘t believe in negative uids, so negative uids show up as the diminished radix complement of a uint. For example, a uid of -2 is reported as 4294967294

modified?()
set_all()
set_group()
set_mode()
set_owner()
stat()
target_gid()
target_mode()
target_uid()

[Validate]